Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox.plugins
Class Normalize.Ausrichtung

    java.lang.Object
      com.lowagie.toolbox.plugins.Normalize.Ausrichtung

Enclosing class:
  Normalize

    public class Normalize.Ausrichtung

extends Object

Field Summary
`(package private) static int` | `A3Landscape`
`(package private) static int` | `A3Portrait`
`(package private) static int` | `A4Landscape`
`(package private) static int` | `A4Portrait`
`(package private) float` | `m5`
`(package private) float` | `m6`
`(package private) Rectangle` | `rect`
`(package private) float` | `rotation`
`(package private) static float` | `tolerance`
`(package private) int` | `type`
`(package private) static int` | `UNKNOWN`

Constructor Summary
`Normalize.Ausrichtung()`
`Normalize.Ausrichtung(float rotation, Rectangle unrotatedoriginalrect)`

Method Summary
`float` | `getM5()`
`float` | `getM6()`
`float` | `getRotation()`
`private void` | `klassifiziere()`
`void` | `rotate()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tolerance

    static final float tolerance

See Also:
  Constant Field Values

### UNKNOWN

    static final int UNKNOWN

See Also:
  Constant Field Values

### A4Portrait

    static final int A4Portrait

See Also:
  Constant Field Values

### A4Landscape

    static final int A4Landscape

See Also:
  Constant Field Values

### A3Portrait

    static final int A3Portrait

See Also:
  Constant Field Values

### A3Landscape

    static final int A3Landscape

See Also:
  Constant Field Values

### rotation

    float rotation

### rect

    Rectangle rect

### m5

    float m5

### m6

    float m6

### type

    int type

Constructor Detail

### Normalize.Ausrichtung

    public Normalize.Ausrichtung()

### Normalize.Ausrichtung

    public Normalize.Ausrichtung(float rotation,
                                 Rectangle unrotatedoriginalrect)

Method Detail

### klassifiziere

    private void klassifiziere()

### getM5

    public float getM5()

### getM6

    public float getM6()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### rotate

    public void rotate()

### getRotation

    public float getRotation()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD